<script src="js/analise_etapa1.js"></script>

<script>
	function abrir_ajuda_analise(seletor)
	{
		if($("#"+seletor).css("display") == "none")
		{
			$("#"+seletor).css("display", "block");
		}
		else
		{
			$("#"+seletor).css("display", "none");
		}
	}
	listaModelos = [];
	<?php foreach ($listaModelo_dados  as $umRegistroNome){ ?>
		listaModelos.push({codigo: '<?php echo  $umRegistroNome->getCodigo(); ?>', query: "<?php echo  str_replace('"','\"',str_replace("\r"," ",str_replace("\n"," ",$umRegistroNome->getQuery()))); ?>"});
	<?php } ?>
</script>
<div id="filtros_analise" title="Filtros pra análisar as colunas" style="z-index: 99999;"></div>
<div id="etapa1" class="etapas_criar_analise" style="width: 100%; max-width: 800px; margin: 0 auto; text-align: center; padding: 10px; padding-top: 3px;">
	<b style="color: #a6a6a6; float: left;">Etapa 1 de 4 - Query e filtro estático</b> <Br>
	<div class='filtroForm' style="width: 100%;" >
		<label>Código</label>
		<input type="text" readonly  class="form " id="codigo_analise" value="<?php echo $bi_analise->getCodigo(); ?>">
	</div>
	<br>
	<div class='filtroForm' style="width: 100%;" >
		<span class="form_obrigatorio">*</span><label>Nome análise</label>
		<input type="text"  class="form " id="nome_analise" value="<?php echo $bi_analise->getNome(); ?>">
	</div>
	<br>
	<div class='filtroForm' style="width: 100%;">
		<label><span class="form_obrigatorio">*</span>Conexao</label>
		<select  class="form" name="conexao" id="conexao" placeholder="Conexao"    required value='<?php echo  $bi_analise->getConexao()->getCodigo();?>' valueDefault='<?php echo  $bi_analise->getConexao()->getCodigo();?>'  >
			<option value=""></option>
			<?php foreach ($listaConexao  as $umRegistroNome){ ?>
					<option value='<?php echo  $umRegistroNome->getCodigo(); ?>'><?php echo $umRegistroNome->getNome(); ?></option>
			<?php } ?>
 		</select>

	</div>
	<br>
	<div class='filtroForm' style="width: 100%;">
		<label><span class="form_obrigatorio">*</span>Área</label>
		<select  class="form" name="area" id="area" placeholder="Área"    required value='<?php echo  $bi_analise->getArea()->getCodigo();?>' valueDefault='<?php echo  $bi_analise->getArea()->getCodigo();?>'  >
			<option value=""></option>
			<?php foreach ($listaArea  as $umRegistroNome){ ?>
					<option value='<?php echo  $umRegistroNome->getCodigo(); ?>'><?php echo $umRegistroNome->getNome(); ?></option>
			<?php } ?>
 		</select>

	</div> 
	<br>
	<div class='filtroForm' style="width: 100%; font-size: left;">
		<label>Exibir no menu análise?</label>
		<input type="checkbox" class="" <?php if($bi_analise->getExibir_em_analise() == "1") {echo "checked='checked'";}?> name="exibir_em_analise" id="exibir_em_analise" placeholder="Exibir no menu análise?"     value="<?php echo $bi_analise->getExibir_em_analise();?>" valueDefault="<?php echo $bi_analise->getExibir_em_analise();?>" onclick="checkboxForm(this);" /> <br>
	</div> 
	<br>
	<div class='filtroForm' style="width: 100%;"  >
		<button class="btnSuccess btnSn" onclick="avancar_query()">Avançar</button>
	</div>	
</div>
<div id="etapa2" class="etapas_criar_analise" style="width: 100%; max-width: 800px; margin: 0 auto; display: none;  padding: 10px; padding-top: 0px;">
	<b style="color: #a6a6a6;">Etapa 2 de 4 - Query e filtro estático</b> <Br>
	<a href="javaScript:void(0)" style=" font-weight: bold;" onclick="voltar_etapa1()"><i class="fa-solid fa-left-long"></i> Voltar etapa</a>
	<div class='filtroForm' style="width: 100%;">
		<label>Modelo de dados</label>
		<select  class="form" name="modelo_dados" id="modelo_dados" placeholder="Modelo de dados"   onchange="alterar_modelo_analise()"  value='<?php echo  $bi_analise->getModelo_dados()->getCodigo();?>' valueDefault='<?php echo  $bi_analise->getModelo_dados()->getCodigo();?>'  >
			<option value=""></option>
			<?php foreach ($listaModelo_dados  as $umRegistroNome){ ?>
					<option value='<?php echo  $umRegistroNome->getCodigo(); ?>'><?php echo $umRegistroNome->getNome(); ?></option>
			<?php } ?>
 		</select>

	</div> 
	<Br>
	
	<div class='filtroForm' style="width: 100%;" >
		<label>Quary select:</label>
		<textarea class="form " id="queryModelo" name="queryModelo" readonly style="background: #f2f2f2; display: none;" ><?php echo  ($bi_analise->getModelo_dados()->getQuery());?></textarea>
		<label id="obsModeloAnalise"></label>
		<textarea class="form " id="query" name="query" style="background: #f2f2f2;" rows="4" cols="50"><?php echo ($bi_analise->getQuery()); ?></textarea>
	</div>
	 
	<div class='filtroForm' >
		<label>Filtros:</label><Br>
		<a href="javaScript:void(0)" style="color: green; font-weight: bold;" onclick="add_filtro_analaise()">Adicionar filtro estático</a>
	</div>
	
	<div id="resultadoBi_filtro" style="width: 100%; overflow: auto; " ></div>
		
	<div style=" clear: both; width: 100%; "></div>	
	<Br>
	
	<button class="btnSuccess btnSn"  style="float: left;" onclick="analisar_colunas_query()">Analisar query e avançar</button>	
	<div class='filtroForm' style="padding-top: 2px; float: left; padding-left: 15px;">
		<a href="javaScript:void(0)" style="font-weight: bold;" onclick="abrir_ajuda_analise('ajuda_filtro')"><i style="color: orange; font-size: 25px; " class="fa-solid fa-circle-info"></i></a>
	</div>
	<div class='filtroForm'  style="dwidth: 100%;">	
		<div id="ajuda_filtro" style="display: none; ">
			Obs: Será realizado uma consulta com limit 20 linhas para obter o tipo de dados de cada coluna
			<b style="color: white; background: #eab580;">
			<br>Filtros estáticos servem para melhorar o desempenho pois é injetado na query
			<br>No final da construção pode-se criar filtros dinámicos.
			<br> Exemplo: [#id do filtro#]  l.data >= '[#data#]' and v.placa in ([#mult#]) 	</b>
			<center><img src="images/ajuda/filtro_analise.png" style="width: 100%; max-width: 500px;"/></center>
		</div>	
	</div>	
</div>

<script>
	function avancar_query()
	{
		if($("#nome_analise").val() == "")
		{
			alert("Informe o nome da análise!");
			return ;
		} 
		else if($("#conexao").val().trim() == "")
		{
			alert("Informe a conexão da análise!");
			return ;
		}
		$("#etapa1").css("display", "none");
		$("#etapa2").css("display", "block");
	}
	function voltar_etapa1()
	{
		$("#etapa1").css("display", "block");
		$("#etapa2").css("display", "none");
	}
	function voltar_etapa2()
	{
		$("#etapa2").css("display", "block");
		$("#etapa3").css("display", "none");
	}
	function voltar_etapa3()
	{
		$("#etapa3").css("display", "block");
		$("#etapa4").css("display", "none");
	}
	$('#conexao option[value="<?php echo  $bi_analise->getConexao()->getCodigo();?>"]').attr('selected','selected');
	$('#modelo_dados option[value="<?php echo  $bi_analise->getModelo_dados()->getCodigo();?>"]').attr('selected','selected');
	$('#area option[value="<?php echo  $bi_analise->getArea()->getCodigo();?>"]').attr('selected','selected');
	qtd_linha_filtro = 0;
	<?php 
		echo "$( document ).ready(function() {";
		foreach ($listabi_filtro  as $bi_filtro){ 
			echo "obgFiltro = {codigo: ".$bi_filtro->getCodigo().", tipo: ".$bi_filtro->getTipo()->getCodigo().", 
			id: '".$bi_filtro->getId()."', descricao: '".$bi_filtro->getDescricao()."', 
			obrigatorio: '".$bi_filtro->getObrigatorio()."', tabela_buscar: '".str_replace("'","\'",$bi_filtro->getTabela_buscar())."', 
			coluna_buscar: '".$bi_filtro->getColuna_buscar()."', 
			tipo_calculo_data_filtro: '".$bi_filtro->getTipo_calculo_data()->getCodigo()."', 
			valor_calculo_data_filtro: '".$bi_filtro->getValor_calculo_data()."', 
			tipo_dia_data_filtro: '".$bi_filtro->getTipo_dia_calculo_data()."'
			};";
			echo " add_filtro_analaise(obgFiltro);";
		} 
		echo "});";

	?>
	alterar_modelo_analise();
</script>

